Citrix NetScaler Multiple Vulnerabilities (CTX140651)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote device is affected by multiple vulnerabilities.

Description :

The remote Citrix NetScaler version is affected by multiple
vulnerabilities :

- A low quality random number generation is used to
produce secret key values in the implementation
of the Diffie-Hellman key exchange algorithm in
the management GUI Java applet. Publicly known
predictors exist for the random number
generator used and the seed value is only 32
or 48 bits. (CVE-2014-2881)

- The certificate validation component of the management
GUI allows any certificate to be used, regardless of
validity, due to assigning an empty trust manager to
its SSL context. (CVE-2014-2882)

See also :

http://support.citrix.com/article/CTX140651
http://www.securityfocus.com/archive/1/532041/30/0/threaded
http://www.securityfocus.com/archive/1/532042/30/0/threaded

Solution :

Upgrade to Citrix NetScaler 10.1-122.17 or 9.3-66.5 or later.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 6.5
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false

Family: Misc.

Nessus Plugin ID: 74026 ()

Bugtraq ID: 67156
67160

CVE ID: CVE-2014-2881
CVE-2014-2882